#include <stdio.h>
#include "lex.yy.h"
extern int yyparse(void);
extern void free_sym_table(void);

void yyerror(char const *message){
  printf("%s\n", message);
}

int main(int argc, char const *argv[]) {
  yyin = fopen(argv[1], "r");
  int result_code = yyparse();
  fclose(yyin);
  free_sym_table();
  return result_code;
}
